org.eclipse.emf.cdo.common.protocol

## Class CDOProtocol.CommitNotificationInfo

- java.lang.Object
- - org.eclipse.emf.cdo.common.protocol.CDOProtocol.CommitNotificationInfo

- Enclosing interface:
    CDOProtocol

      public static final class CDOProtocol.CommitNotificationInfo
      extends java.lang.Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `IMPACT_NONE`
    `static byte` | `IMPACT_PERMISSIONS`
    `static byte` | `IMPACT_REALM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitNotificationInfo()`
    `CommitNotificationInfo(CDODataInput in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommitInfo` | `getCommitInfo()`
    `java.util.Set<? extends java.lang.Object>` | `getImpactedRules()`
    `CDOLockChangeInfo` | `getLockChangeInfo()`
    `java.util.Map<CDOID,CDOPermission>` | `getNewPermissions()`
    `CDORevisionProvider` | `getRevisionProvider()`
    `byte` | `getSecurityImpact()`
    `CDOCommonSession` | `getSender()`
    `int` | `getSenderID()`
    `boolean` | `isClearResourcePathCache()`
    `void` | `setClearResourcePathCache(boolean clearResourcePathCache)`
    `void` | `setCommitInfo(CDOCommitInfo commitInfo)`
    `void` | `setImpactedRules(java.util.Set<? extends java.lang.Object> impactedRules)`
    `void` | `setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
    `void` | `setNewPermissions(java.util.Map<CDOID,CDOPermission> newPermissions)`
    `void` | `setRevisionProvider(CDORevisionProvider revisionProvider)`
    `void` | `setSecurityImpact(byte securityImpact)`
    `void` | `setSender(CDOCommonSession sender)`
    `void` | `write(CDODataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMPACT_NONE

          public static final byte IMPACT_NONE

      See Also:
        Constant Field Values

    - #### IMPACT_PERMISSIONS

          public static final byte IMPACT_PERMISSIONS

      See Also:
        Constant Field Values

    - #### IMPACT_REALM

          public static final byte IMPACT_REALM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommitNotificationInfo

          public CommitNotificationInfo()

    - #### CommitNotificationInfo

          public CommitNotificationInfo(CDODataInput in)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getSenderID

          public int getSenderID()

    - #### getSender

          public CDOCommonSession getSender()

    - #### setSender

          public void setSender(CDOCommonSession sender)

    - #### getRevisionProvider

          public CDORevisionProvider getRevisionProvider()

    - #### setRevisionProvider

          public void setRevisionProvider(CDORevisionProvider revisionProvider)

    - #### getCommitInfo

          public CDOCommitInfo getCommitInfo()

    - #### setCommitInfo

          public void setCommitInfo(CDOCommitInfo commitInfo)

    - #### getNewPermissions

          public java.util.Map<CDOID,CDOPermission> getNewPermissions()

    - #### setNewPermissions

          public void setNewPermissions(java.util.Map<CDOID,CDOPermission> newPermissions)

    - #### getImpactedRules

          public java.util.Set<? extends java.lang.Object> getImpactedRules()

    - #### setImpactedRules

          public void setImpactedRules(java.util.Set<? extends java.lang.Object> impactedRules)

    - #### getSecurityImpact

          public byte getSecurityImpact()

    - #### setSecurityImpact

          public void setSecurityImpact(byte securityImpact)

    - #### isClearResourcePathCache

          public boolean isClearResourcePathCache()

    - #### setClearResourcePathCache

          public void setClearResourcePathCache(boolean clearResourcePathCache)

    - #### getLockChangeInfo

          public CDOLockChangeInfo getLockChangeInfo()

      Since:
        4.6

    - #### setLockChangeInfo

          public void setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)

      Since:
        4.6

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html